Bug 183764 - japanese/chasen has security problem
Summary: japanese/chasen has security problem
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rene Ladan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-07 22:10 UTC by you.akira.noda
Modified: 2014-04-13 14:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description you.akira.noda 2013-11-07 22:10:00 UTC
japanese/chasen-base have security problem.
Chasen 2.4.4  has security,problem.

https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-4000
https://jvn.jp/jp/JVN16901583/index.html 

portaudit can not detect this problem at this time.

Fix: 

Just upgrade to 2.4.5

Here is patch of japanese/chasen-base and japanese/chasen
How-To-Repeat: none
Comment 1 you.akira.noda 2013-11-08 00:04:24 UTC
Sorry, I've failed to attach the patch file.
Here is the patch.



diff -urN chasen.orig/Makefile chasen/Makefile
--- chasen.orig/Makefile        2013-11-08 06:47:29.000000000 +0900
+++ chasen/Makefile     2013-11-08 06:38:13.000000000 +0900
@@ -2,7 +2,7 @@
 # $FreeBSD: japanese/chasen/Makefile 327737 2013-09-20 18:47:54Z bapt $

 PORTNAME=      chasen
-PORTVERSION=   2.4.4
+PORTVERSION=   2.4.5
 CATEGORIES=    japanese textproc
 MASTER_SITES=  # empty
 DISTFILES=     # empty
diff -urN chasen-base.orig/Makefile chasen-base/Makefile
--- chasen-base.orig/Makefile   2013-11-08 06:47:20.000000000 +0900
+++ chasen-base/Makefile        2013-11-08 06:47:54.000000000 +0900
@@ -2,10 +2,10 @@
 # $FreeBSD: japanese/chasen-base/Makefile 327737 2013-09-20 18:47:54Z bapt
$

 PORTNAME=      chasen
-PORTVERSION=   2.4.4
+PORTVERSION=   2.4.5
 CATEGORIES=    japanese textproc
 MASTER_SITES=  ${MASTER_SITE_SOURCEFORGE_JP}
-MASTER_SITE_SUBDIR=     chasen-legacy/32224
+MASTER_SITE_SUBDIR=     chasen-legacy/56305
 PKGNAMESUFFIX= -base

 MAINTAINER=    ports@FreeBSD.org













diff -urN chasen-base.orig/distinfo chasen-base/distinfo
--- chasen-base.orig/distinfo   2013-11-08 06:47:20.000000000 +0900
+++ chasen-base/distinfo        2013-11-08 06:48:51.000000000 +0900
@@ -1,2 +1,2 @@
-SHA256 (chasen-2.4.4.tar.gz) =
09e41f681097f87ba6c953d3724c34c1826c3cfa590898a2166fb310a006f932
-SIZE (chasen-2.4.4.tar.gz) = 845720
+SHA256 (chasen-2.4.5.tar.gz) =
fd1a7afd73ed14e18b0fe82965c00a6baae383070360a4220fde01338611416a
+SIZE (chasen-2.4.5.tar.gz) = 830940
Comment 2 dfilter service freebsd_committer 2014-04-13 13:40:36 UTC
Author: rene
Date: Sun Apr 13 12:40:32 2014
New Revision: 351212
URL: http://svnweb.freebsd.org/changeset/ports/351212
QAT: https://qat.redports.org/buildarchive/r351212/

Log:
  - Update to 2.4.5 [1]
  - Stage support
  - Install libchasen.la
  
  Note that japanese/chasen remains expired.
  
  PR:		ports/183764 [1]
  Submitted by:	Akira Noda <you.akira.noda@gmail.com>
  MFH:		2014Q2
  Security:	http://vuxml.org/freebsd/972837fc-c304-11e3-8758-00262d5ed8ee.html

Modified:
  head/japanese/chasen-base/Makefile
  head/japanese/chasen-base/distinfo
  head/japanese/chasen-base/pkg-plist
  head/japanese/chasen/Makefile

Modified: head/japanese/chasen-base/Makefile
==============================================================================
--- head/japanese/chasen-base/Makefile	Sun Apr 13 12:36:43 2014	(r351211)
+++ head/japanese/chasen-base/Makefile	Sun Apr 13 12:40:32 2014	(r351212)
@@ -2,10 +2,10 @@
 # $FreeBSD$
 
 PORTNAME=	chasen
-PORTVERSION=	2.4.4
+PORTVERSION=	2.4.5
 CATEGORIES=	japanese textproc
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE_JP}
-MASTER_SITE_SUBDIR=     chasen-legacy/32224
+MASTER_SITE_SUBDIR=     chasen-legacy/56305
 PKGNAMESUFFIX=	-base
 
 MAINTAINER=	ports@FreeBSD.org
@@ -19,13 +19,9 @@ CONFIGURE_ARGS=	--with-darts=${LOCALBASE
 USES=		iconv
 USE_LDCONFIG=	yes
 
-NO_STAGE=	yes
 post-install:
-	${RM} -f ${PREFIX}/lib/libchasen.la
-	${MKDIR} ${PREFIX}/share/chasen/dic
-.if !defined(NOPORTDOCS)
-	${MKDIR} ${DOCSDIR}
-	${INSTALL_DATA} ${WRKSRC}/doc/manual* ${DOCSDIR}
-.endif
+	${MKDIR} ${STAGEDIR}${PREFIX}/share/chasen/dic
+	${MKDIR} ${STAGEDIR}${DOCSDIR}
+	${INSTALL_DATA} ${WRKSRC}/doc/manual* ${STAGEDIR}${DOCSDIR}
 
 .include <bsd.port.mk>

Modified: head/japanese/chasen-base/distinfo
==============================================================================
--- head/japanese/chasen-base/distinfo	Sun Apr 13 12:36:43 2014	(r351211)
+++ head/japanese/chasen-base/distinfo	Sun Apr 13 12:40:32 2014	(r351212)
@@ -1,2 +1,2 @@
-SHA256 (chasen-2.4.4.tar.gz) = 09e41f681097f87ba6c953d3724c34c1826c3cfa590898a2166fb310a006f932
-SIZE (chasen-2.4.4.tar.gz) = 845720
+SHA256 (chasen-2.4.5.tar.gz) = fd1a7afd73ed14e18b0fe82965c00a6baae383070360a4220fde01338611416a
+SIZE (chasen-2.4.5.tar.gz) = 830940

Modified: head/japanese/chasen-base/pkg-plist
==============================================================================
--- head/japanese/chasen-base/pkg-plist	Sun Apr 13 12:36:43 2014	(r351211)
+++ head/japanese/chasen-base/pkg-plist	Sun Apr 13 12:40:32 2014	(r351212)
@@ -3,6 +3,7 @@ bin/chasen
 bin/chasen-config
 include/chasen.h
 lib/libchasen.a
+lib/libchasen.la
 lib/libchasen.so
 lib/libchasen.so.2
 libexec/chasen/makeda

Modified: head/japanese/chasen/Makefile
==============================================================================
--- head/japanese/chasen/Makefile	Sun Apr 13 12:36:43 2014	(r351211)
+++ head/japanese/chasen/Makefile	Sun Apr 13 12:40:32 2014	(r351212)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	chasen
-PORTVERSION=	2.4.4
+PORTVERSION=	2.4.5
 CATEGORIES=	japanese textproc
 MASTER_SITES=	# empty
 DISTFILES=	# empty
@@ -18,7 +18,6 @@ DEPRECATED=	Unmaintained since 2001
 EXPIRATION_DATE=	2014-04-12
 NO_BUILD=	YES
 
-NO_STAGE=	yes
 do-install:
 
 .include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Rene Ladan freebsd_committer 2014-04-13 13:43:29 UTC
State Changed
From-To: open->closed

Committed with additional fixes, thanks! 


Comment 4 Rene Ladan freebsd_committer 2014-04-13 13:43:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rene

Committed with additional fixes, thanks!
Comment 5 dfilter service freebsd_committer 2014-04-13 13:57:37 UTC
Author: rene
Date: Sun Apr 13 12:57:31 2014
New Revision: 351215
URL: http://svnweb.freebsd.org/changeset/ports/351215
QAT: https://qat.redports.org/buildarchive/r351215/

Log:
  MFH: r351212
  
  - Update to 2.4.5 [1]
  - Stage support
  - Install libchasen.la
  
  Note that japanese/chasen remains expired.
  
  PR:		ports/183764 [1]
  Submitted by:	Akira Noda <you.akira.noda@gmail.com>
  Security:	http://vuxml.org/freebsd/972837fc-c304-11e3-8758-00262d5ed8ee.html
  
  Approved by:	portmgr (antoine)

Modified:
  branches/2014Q2/japanese/chasen-base/Makefile
  branches/2014Q2/japanese/chasen-base/distinfo
  branches/2014Q2/japanese/chasen-base/pkg-plist
  branches/2014Q2/japanese/chasen/Makefile
Directory Properties:
  branches/2014Q2/   (props changed)

Modified: branches/2014Q2/japanese/chasen-base/Makefile
==============================================================================
--- branches/2014Q2/japanese/chasen-base/Makefile	Sun Apr 13 12:47:12 2014	(r351214)
+++ branches/2014Q2/japanese/chasen-base/Makefile	Sun Apr 13 12:57:31 2014	(r351215)
@@ -2,10 +2,10 @@
 # $FreeBSD$
 
 PORTNAME=	chasen
-PORTVERSION=	2.4.4
+PORTVERSION=	2.4.5
 CATEGORIES=	japanese textproc
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE_JP}
-MASTER_SITE_SUBDIR=     chasen-legacy/32224
+MASTER_SITE_SUBDIR=     chasen-legacy/56305
 PKGNAMESUFFIX=	-base
 
 MAINTAINER=	ports@FreeBSD.org
@@ -19,13 +19,9 @@ CONFIGURE_ARGS=	--with-darts=${LOCALBASE
 USES=		iconv
 USE_LDCONFIG=	yes
 
-NO_STAGE=	yes
 post-install:
-	${RM} -f ${PREFIX}/lib/libchasen.la
-	${MKDIR} ${PREFIX}/share/chasen/dic
-.if !defined(NOPORTDOCS)
-	${MKDIR} ${DOCSDIR}
-	${INSTALL_DATA} ${WRKSRC}/doc/manual* ${DOCSDIR}
-.endif
+	${MKDIR} ${STAGEDIR}${PREFIX}/share/chasen/dic
+	${MKDIR} ${STAGEDIR}${DOCSDIR}
+	${INSTALL_DATA} ${WRKSRC}/doc/manual* ${STAGEDIR}${DOCSDIR}
 
 .include <bsd.port.mk>

Modified: branches/2014Q2/japanese/chasen-base/distinfo
==============================================================================
--- branches/2014Q2/japanese/chasen-base/distinfo	Sun Apr 13 12:47:12 2014	(r351214)
+++ branches/2014Q2/japanese/chasen-base/distinfo	Sun Apr 13 12:57:31 2014	(r351215)
@@ -1,2 +1,2 @@
-SHA256 (chasen-2.4.4.tar.gz) = 09e41f681097f87ba6c953d3724c34c1826c3cfa590898a2166fb310a006f932
-SIZE (chasen-2.4.4.tar.gz) = 845720
+SHA256 (chasen-2.4.5.tar.gz) = fd1a7afd73ed14e18b0fe82965c00a6baae383070360a4220fde01338611416a
+SIZE (chasen-2.4.5.tar.gz) = 830940

Modified: branches/2014Q2/japanese/chasen-base/pkg-plist
==============================================================================
--- branches/2014Q2/japanese/chasen-base/pkg-plist	Sun Apr 13 12:47:12 2014	(r351214)
+++ branches/2014Q2/japanese/chasen-base/pkg-plist	Sun Apr 13 12:57:31 2014	(r351215)
@@ -3,6 +3,7 @@ bin/chasen
 bin/chasen-config
 include/chasen.h
 lib/libchasen.a
+lib/libchasen.la
 lib/libchasen.so
 lib/libchasen.so.2
 libexec/chasen/makeda

Modified: branches/2014Q2/japanese/chasen/Makefile
==============================================================================
--- branches/2014Q2/japanese/chasen/Makefile	Sun Apr 13 12:47:12 2014	(r351214)
+++ branches/2014Q2/japanese/chasen/Makefile	Sun Apr 13 12:57:31 2014	(r351215)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	chasen
-PORTVERSION=	2.4.4
+PORTVERSION=	2.4.5
 CATEGORIES=	japanese textproc
 MASTER_SITES=	# empty
 DISTFILES=	# empty
@@ -18,7 +18,6 @@ DEPRECATED=	Unmaintained since 2001
 EXPIRATION_DATE=	2014-04-12
 NO_BUILD=	YES
 
-NO_STAGE=	yes
 do-install:
 
 .include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"